[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: dwarf-fortress

On Wed, Feb 22, 2012 at 10:50 AM, Andrey Rahmatullin <wrar@wrar.name> wrote:
> I've tried to build this package but on amd64 it cannot find GL/glew.h and
> fails to build.
> So I've created an i386 cowbuilder chroot and tried to build for i386. It
> couldn't install libncursesw-dev because there is no such package in the
> archive.
I've added the missing libglew-dev dependency and fixed the
libncursesw-dev package. I'm not even sure this ncurse library is
actually required (I know ncurses is required, but I don't know the
difference between ncurses and ncursesw).
A new version has been uploaded to mentors with these fixes (with same
debian release number).

>> http://mentors.debian.net/package/dwarf-fortress-mod-default
> Why did you split this from the original package? Isn't it a part of the
> original distribution?
This was so the default graphic mod is maintained and packaged the
same way as third-party mods, with same tree and so on, and so that
new mods can easily be created from it (without having to provide all
the binaries with it). I could have put this in the main
dwarf-fortress package though... i'll think about it.

Beren Minor

Reply to: